﻿@model Post
@{
    ViewData["Title"] = "Details post";
}
@section Header{
    @{IList<Tag> listTag=_unitOfWork.TagRepository.GetTagsByPost(Model.Id);}
   <header class="masthead">
    <div class="overlay"></div>
    <div class="container">
      <div class="row">
        <div class="col-lg-8 col-md-10 mx-auto">
          <div class="post-heading">
            <h1>@Model.Title</h1>
            <span class="meta">Posted @Model.PostedOn with rate @Math.Round(Model.Rate,2) by @Model.ViewCount view(s)</span>
                        <p>Category: <a href="/Customer/Post/GetPostByCategory?categoryName=@Model.Category.Name">@Model.Category.Name</a></p>


                        <p>
                            Tag: @foreach (var tag in listTag)
                            {
                                <a href="/Customer/Post/GetPostByTag?tagName=@tag.UrlSlug" style="background-color: black; color: white;padding:5px;">@tag.Name</a>
                            }

                        </p>
          </div>
        </div>
      </div>
    </div>
  </header>
}
 <article>
    <div class="container">
      <div class="row">
        <div class="mt-3 col-lg-8 col-md-10 mx-auto">
          @Html.Raw(Model.PostContent)
        </div>
      </div>
    </div>
  </article>

